Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail.search
Class SentDateTerm

    java.lang.Object
      javax.mail.search.SearchTerm
          javax.mail.search.ComparisonTerm
              javax.mail.search.DateTerm
                  javax.mail.search.SentDateTerm

All Implemented Interfaces:
  Serializable

    public final class SentDateTerm

extends DateTerm

This class implements comparisons for the Message SentDate.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.mail.search.DateTerm
`date`

Fields inherited from class javax.mail.search.ComparisonTerm
`comparison, EQ, GE, GT, LE, LT, NE`

Constructor Summary
`SentDateTerm(int comparison, Date date)` Constructor.

Method Summary
`boolean` | `equals(Object obj)` Equality comparison.
`boolean` | `match(Message msg)` The match method.

Methods inherited from class javax.mail.search.DateTerm
`getComparison, getDate, hashCode, match`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SentDateTerm

    public SentDateTerm(int comparison,
                        Date date)

  Constructor.

  Parameters:
    `comparison` - the Comparison type
    `date` - the date to be compared

Method Detail

### match

    public boolean match(Message msg)

  The match method.

  Specified by:
    `match` in class `SearchTerm`
  Parameters:
    `msg` - the date comparator is applied to this Message's sent date
  Returns:
    true if the comparison succeeds, otherwise false

### equals

    public boolean equals(Object obj)

  Equality comparison.

  Overrides:
    `equals` in class `DateTerm`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Sun Microsystems, Inc.. All Rights Reserved.